GET /v1/app-gateway/{appId}/workflows/{workflowId}/runs
List runs for a deep-agent app's workflow
GET
/v1/app-gateway/{appId}/workflows/{workflowId}/runs
List runs for a deep-agent app's workflow
Path Parameters
appId
string
required
path
Deep-agent run id (app id)
workflowId
string
required
path
Workflow id
Query Parameters
limit
integer
optional
query
Number of items (default 20, max 100)
offset
integer
optional
query
Offset for pagination (default 0)
Responses
200
OK
application/jsoncode
integer
data
object
hasMore
boolean
items
object[]
Array of:
finishedAt
string
id
string
isDustTest
boolean
isSimulation
boolean
sourceRunId
string
startedAt
string
status
string
Enum:
running, waiting, success, partial, failure, cancelledsummary
string
totalCu
number
triggerNodeId
string
triggerSource
string
triggeredBy
string
workflowId
string
workflowName
string
workflowVersion
integer
limit
integer
offset
integer
message
string
requestId
string
403
Forbidden
curl -X GET 'https://api.example.com/v1/app-gateway/string/workflows/string/runs' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/app-gateway/string/workflows/string/runs', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/app-gateway/string/workflows/string/runs', headers=headers)print(response.json())
package mainimport ( "fmt" "io" "net/http")func main() { req, _ := http.NewRequest("GET", "https://api.example.com/v1/app-gateway/string/workflows/string/runs", nil) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 200, "data": { "hasMore": true, "items": [ { "finishedAt": "<string>", "id": "<string>", "isDustTest": true, "isSimulation": true, "sourceRunId": "<string>", "startedAt": "<string>", "status": "running", "summary": "<string>", "totalCu": 123, "triggerNodeId": "<string>", "triggerSource": "<string>", "triggeredBy": "<string>", "workflowId": "<string>", "workflowName": "<string>", "workflowVersion": 123 } ], "limit": 123, "offset": 123 }, "message": "success", "requestId": "abc-123"}
API Playground
Try this endpoint
GET
/v1/app-gateway/{appId}/workflows/{workflowId}/runs
